Overview of Changes in Parlatype 4.3 – 2025-07-01
=================================================

* New: added support for PocketSphinx 5
* New: debug info in About dialog
* New: MPRIS interface provides album, artist, title
* More usage of libadwaita
* Several fixes

* New or updated translations via Weblate:
  - Basque: Alexander Gabilondo
  - Basque: Alex Gabilondo
  - Esperanto: phlostically
  - Finnish: Jiri Grönroos
  - Finnish: Ricky Tigg
  - Galician: Xosé Calvo
  - Hindi: Scrambled777
  - Kabyle: ButterflyOfFire
  - Lithuanian: Moo
  - Portuguese: Marco Prado
  - Tamil: தமிழ்நேரம்
  - Turkish: Kaan Çetin
  - Turkish: Sabri Ünal
  - Turkish: Ümit Solmz


Overview of Changes in Parlatype 4.2 – 2024-06-02
=================================================

* New: changed website to www.parlatype.xyz
* New: changed App ID to xyz.parlatype.Parlatype
* New: changed DBUS interface name to xyz.parlatype.Parlatype, this makes it
       incompatible with previous versions of Parlatype LibreOffice extension

* New or updated translations via Weblate:
  - Basque: Alexander Gabilondo
  - Chinese (Simplified): Benjamin Alan Jamie
  - Chinese (Simplified): poi
  - German: Gabor Karsay
  - Italian: albanobattistella
  - Spanish: gallegonovato
  - Spanish: Sergio Varela


Overview of Changes in Parlatype 4.1 – 2024-04-02
=================================================

* New: dependency on libadwaita-1 (>= 1.4),
       rewritten preferences dialog
* New: raised GTK dependency (>= 4.10)
* New: raised GLib dependency (>= 2.70)
* New: theme selector (copied from GNOME Text Editor)
* Fix: no deprecations as of GTK 4.10
* Fix: F10 toggles primary menu (regression from v4.0)
* Fix: show value of playback speed (regression from v4.0)
* Fix: some leftovers from migrating to GTK 4
       (GObject Introspection, python example)
* Removed: win32 (MS Windows) support
* Removed: Mozilla DeepSpeech support

* New or updated translations via Weblate:
  - Basque: Alexander Gabilondo
  - German: Gabor Karsay
  - Italian: albanobattistella
  - Polish: Piotr Drąg
  - Spanish: Eduardo Malaspina
  - Spanish: gallegonovato
  - Turkish: Sabri Ünal


Overview of Changes in Parlatype 4.0 – 2023-11-26
=================================================

* New: Switch to GTK 4 (new dependency: gtk4.0 >= 4.0)
* New: Removed dependency gladeui-2.0 and meson option glade
* New: Removed support for GNOME MediaKeys (use MPRIS instead)
* New: Some screenshots for help pages are generated automatically for
       available locales
* Fix: #98, MPRIS related crash at startup
* Fix: #105, Audio stops playing after some time
       Related to this: disabled dragging the playback cursor

* New or updated translations via Weblate:
  - Basque: Alexander Gabilondo
  - Basque: Alex Gabilondo
  - Chinese (Simplified): Eric
  - Chinese (Simplified): poi
  - English (United Kingdom): Andrew Marsden
  - Finnish: Cnomesta
  - Finnish: Jiri Grönroos
  - French: Mathieu B
  - Indonesian: Reza Almanda
  - Italian: albanobattistella
  - Norwegian Bokmål: Allan Nordhøy
  - Polish: Piotr Drąg
  - Portuguese: ssantos
  - Russian: Olga Akhtirskaia
  - Slovak: Milan Šalka
  - Spanish: Eduardo Bray
  - Spanish: Eduardo Malaspina
  - Spanish: gallegonovato
  - Turkish: E-Akcaer
  - Turkish: Sabri Ünal
  - Ukrainian: Olga Akhtirskaia


Overview of Changes in Parlatype 3.1 – 2021-12-19
=================================================

* New: Added MPRIS interface, fix #86
* New: Switched to Weblate for translations
* Fix: Setting initial position failed in some cases
* Fix: Build and tests failed on WIN32
* Fix: Help pages for Preferences Dialog were not updated
* Fix: Adapt to builds without ASR

* New or updated translations:
  - de:    Gabor Karsay
  - fr:    J. Lavoie, Walter Paulo
  - it:    J. Lavoie
  - nb_NO: Allan Nordhøy
  - pl:    Piotr Drąg
  - sv:    Allan Nordhøy


Overview of Changes in Parlatype 3.0 – 2021-11-02
=================================================

* New: ASR plugin for Mozilla DeepSpeech (needs DeepSpeech at compile time)
* New: Removed possibility to output ASR results to random applications using
       assistive technologies and removed internal textpad. ASR results are
       emitted through D-Bus only and applications like Parlatype LibreOffice
       Extension can listen to them. Removed (now unnecessary option)
       --with-asr.
* New: Rewritten ASR preferences page with Configs per model.
* New: Internal GStreamer plugins are now private to the lib, which should
       eliminate all errors related to GStreamer registry.
* New: Flatpak builds Mozilla DeepSpeech 0.9.
* New: New App Icon by Tobias Bernard
* New: Many preparations for GTK 4, maintenance work, modularizing and
       refactoring code, increased test coverage, fixed memory leaks.
* New: Main development branch is now called "main".
* New: Version string includes git commit if applicable

* Fix: Don't mirror waveform in RTL layouts, they expect it to be like in LTR.

* Changed dependencies:
  - Removed atspi-2
  - Added iso-codes
  - Raised glib-2.0 to 2.58
  - Added optional deepspeech

* New or updated translations:
  - de: Gabor Karsay
  - it: albanobattistella
  - he: Tal Einat
  - pl: Piotr Drąg


Overview of Changes in Parlatype 2.1 – 2020-06-21
=================================================

* New: Mute/unmute volume by clicking on the volume icon with the pointer’s
       secondary button (usually right mouse button).
* New: With Pulseaudio Parlatype doesn’t change the system volume anymore,
       just its own application specific volume.
* New: With Pulseaudio Parlatype picks up the last used volume level.
* New: Volume icon/button is insensitive as long as there is no media loaded.
* New: Don’t reopen already opened files.
* New: Set a default window height and in Preferences default to “Remember
       window’s size”.
* Fix: ASR assistant dialog could not be used at all, a regression introduced
       in version 2.0. However, ASR is not recommended in its current state
       and plans are to rewrite it.
* Fix: D-Bus interface for decreasing speed was doing the opposite.
* Fix: Many fixes to Windows (win32) port, achieving feature parity with the
       Linux/UNIX version:
       - Fix: Parlatype icon not loaded
       - Fix: Help pages not displayed
       - Fix: Don’t show mediakeys help page (Linux only)
       - Fix: Volume changes delayed for a few seconds
       - New: Ensure there is only one instance running.
       - New: Added hotkeys support (hardcoded for dedicated keyboard buttons
              Play/Pause, Stop, Previous Track, Next Track)
       - New: Added win32 specific interprocess communication, thus enabling
              the LibreOffice extension
* New or updated translations:
  - ca:    VPablo
  - de:    Stephan Woidowski
  - en_AU: Jared Norris
  - en_GB: Stephan Woidowski
  - es:    Rodrigo Lledó
  - fi:    Jiri Grönroos
  - fr:    Jean-Marc
  - id:    Ari Setyo Wibowo
  - it:    Albano Battistella
           Marco Ciampa
  - ja:    Shinichirou Yamada
  - pl:    Piotr Drąg
  - pt_BR: ThiagoRyuuga
           Celio Alves
  - ru:    Aleksey Kabanov


Overview of Changes in Parlatype 2.0 – 2020-03-19
=================================================

* New: Waveform is loaded on-the-fly, there is no blocking progress dialog.
       This brings an API bump in libparlatype.
* New: Waveform can be changed continuously instead of in discrete steps.
* New: Application ID has been changed to org.parlatype.Parlatype and the
       homepage moved to https://www.parlatype.org.
* New: LibreOffice helpers (macros) have been split from the main repository
       and turned into a LibreOffice extension.
* New: New D-Bus method GetURI to get currently playing file’s URI.
* New: Internal modularization (PtController objects control Parlatype).
* New: Event handling is more compatible with GTK 4.
* New: Parlatype builds on Windows, there is no feature parity though.


Overview of Changes in Parlatype 1.6.2 – 2019-08-31
===================================================

* New: Update time label only if time has changed. This is a performance
       increase, cursor movement should be smoother on slower systems.
* Fix: Various fixes or improvements for the build system
  - Fixed pkg-config cflags
  - Fixed failing unit test
  - Fixed extern C declarations for C++
  - Added Meson configuration message
* New or updated languages:
  - es: Adolfo Jayme, Jorge Toledo
  - hu: Óvári
  - lt: Moo


Overview of Changes in Parlatype 1.6.1 – 2019-07-05
===================================================

* New: Automatic speech recognition (ASR) is now disabled by default and it’s
       only shown, if parlatype is launched with the new parameter --with-asr
* New: Parlatype can be built without ASR (build option asr=false)
* New: libreoffice helpers’ AppStream ID renamed (underscore instead of hyphen)
* Fix: Initialize i18n for library, fixes not shown translations in Flatpak
       or non-standard prefixes
* Fix: All memory leaks discovered with Valgrind in test suite
* Fix: All issues discovered with Clang Static Analyzer
* New or updated languages:
  - ar:    Ibrahim Saed
  - cs:    fri
  - de:    Gabor Karsay
  - en_GB: Stephan Woidowski
  - es:    Adolfo Jayme
  - nl:    Heimen Stoffels
  - pl:    Piotr Drąg


Overview of Changes in Parlatype 1.6 – 2019-04-24
=================================================

* New: Automatic speech recognition with CMU Sphinx
* New: Design changes, including removal of application menu, fix #22
* New: Use symbolic icons, fix #47
* New: Custom timestamps, fix #37
* New: Option to repeat file at the end pressing “Play”, fix #59
* New: Open new files from directory last used, fix #43
* Fix: LibreOffice helpers didn’t work with menu buttons, fix #53
* Fix: Use Unicode for nice typography
* Build system changed to Meson
* New or updated translations:
  - cs:    fri
  - de:    Gabor Karsay
  - en_GB: Stephan Woidowski
  - ja:    Shinichirou Yamada
  - lt:    Moo
  - pl:    Piotr Drąg
  - pt_BR: Rodrigo Macedo


Overview of Changes in Parlatype 1.5.6 – 2018-08-17
===================================================

* Animate scrolling when using keybindings
* Change desktop entry category to Audio/Video instead of Utilities
* Fix a build warning on most architectures other than amd64
* New or updated translations:
  - fr: Georgelemental


Overview of Changes in Parlatype 1.5.5 – 2018-06-16
===================================================

* New: Progress Dialog has now a countdown timer (estimated time left)
* New: Scroll with vertical scrollbar, too; contributed by Rinat Ibragimov
* New: Zoom in/out of waveform with Ctrl key pressed and scrolling
* New: Add shortcuts for play, jump back, jump forward, fix #27
  - Ctrl + space: play/pause
  - Ctrl + arrow-left: jump back
  - Ctrl + arrow-right: jump forward
* New: Increase max. possible speed to 2.0, fix #33
* New: “Insert timestamp” only active if there is a valid timestamp
* Various fixes of waveform and cursor display after changing waveform’s resolution, switching text direction (for right-to-left languages), and selections in right-to-left layouts
* Fix compilation on hurd-i386 and kfreebsd-*
* New or updated translations:
  - ar: Ahmed Shubbar
  - ca: Adolfo Jayme
  - de: Gabor Karsay
  - en_GB: Andi Chandler
  - es: Adolfo Jayme
  - fi: Jiri Grönroos
  - fr: yeKcim
  - ja: Shinichirou Yamada
  - lt: Moo
  - pl: Piotr Drąg
  - sv: Tommy Brunn


Overview of Changes in Parlatype 1.5.4 – 2017-11-19
===================================================

* Fix #20: fix usage of media keys – again, now without regressions


Overview of Changes in Parlatype 1.5.3 – 2017-11-14
===================================================

* Fix #20: fix usage of media keys
* Rewrite waveform display (using GtkOverlay) and improve performance
* New: Show/hide ruler with animation
* New: This NEWS file, compilated from release notes
* libparlatype changes:
 - Added tests, including code coverage
* Translation updates:
 Brazilian Portuguese
 British English
 Spanish


Overview of Changes in Parlatype 1.5.2 – 2017-08-10
===================================================

* Fix #12: Waveform not displayed on KDE/Plasma desktop
* Fix #15: Pitch changes with GStreamer 1.2
* Fix #7: Don’t show options that are not available on Wayland
* In GNOME help, showing the complete list of help documents, Parlatype’s
  icon is shown again. This was a regression introduced with version 1.5.1.
* Changed icon for action menu to GNOME default icon
* New: Added a symbolic icon, shown in GNOME shell (with GTK+ 3.16 or later)
* New: Added a shortcut window (with GTK+ 3.20 or later)
* New: Enabled D-Bus activation (no visible change for users)
* Translation updates:
 French
 German
 Japanese
 Lithuanian


Overview of Changes in Parlatype 1.5.1 – 2017-07-08
===================================================

* Fix #5: Waveform invisible when window focused (regression)
* Fix: Several regressions that appeared in GTK+ 3.20 and 3.22
* Fix #10: Fixed/improved volume control
* Fix: Several memory leaks
* Fix: Regression: didn’t jump to cursor on opening file
* Fix: Some artifacts in waveform rendering
* Fix: Rendering waveform if widget changes size (no blank space)
* New: Reacts immediately to theme changes
* New: Shortcuts for zooming in and out
* New: Space bar toggles play/pause if in keyboard focus
* Changed application ID to com.github.gkarsay.parlatype
  instead of org.gnome.parlatype
* Translation updates:
 Dutch
 German
 Spanish
 Kurdish
 Lithuanian
 Malay
 Portuguese
 Serbian


Overview of Changes in Parlatype 1.5 – 2017-03-14
=================================================

* New: Added a ruler to waveviewer (turn on/off in preferences)
* New: Cursor fixed or moving (set in preferences)
* New: Set resolution of waveviewer in preferences
* New: Introducing selections in waveviewer (select with left mouse button,
  enlarge with shift, deselect with Escape button)
* New: At the end of selection, clicking on Play will repeat the selection
* New: Waveviewer or cursor can be focused and moved (keyboard)
* New: Waveviewer supports right-to-left languages
* New: Use a menubar if preferred by desktop environment (e.g. Unitiy, Xfce)
* New: “Follow-cursor” button jumps to cursor position
* New: Time label can be drag’n’dropped
* Updated help pages, screenshots and documentation
* Translation updates:
 British English
 Catalan
 French
 German
 Indonesian
 Italian
 Kabyle
 Kurdish
 Latvian
 Malay
 Portuguese
 Spanish


Overview of Changes in Parlatype 1.4.1 – 2016-10-31
===================================================

* Fix: GObject Introspection uses annotation unknown on Ubuntu gi 1.42 vs 1.40
* Fix: Icon display on Ubuntu systems


Overview of Changes in Parlatype 1.4 – 2016-10-29
=================================================

* Rewritten waveform display, now based on GtkScrolledWindow
* Window design changes
* Split out library: libparlatype
* Translation updates:
 German


Overview of Changes in Parlatype 1.3 – 2016-09-04
=================================================

* Fix: Don’t rewind at end of stream like at pause
* New: Display waveform. This feature is using code from Buzztrax.
* New: Show progress while loading waveform
* Translation updates:
 German


Overview of Changes in Parlatype 1.2 – 2016-08-13
=================================================

* Fix: Some media formats, e.g. ogg, could not be loaded
* Fix: Goto dialog could be too small
* Updated help pages
* Translation updates:
 German


Overview of Changes in Parlatype 1.1 – 2016-07-29
=================================================

* New: Help system
* New: Drag’n’Drop support
* New: Goto dialog
* New: LibreOffice macros (calling DBUS service)
* New preferences/settings: Window always on top
* New preferences/settings: Remember window position
* New: Tooltips for main window elements
* Translation updates:
 German


Overview of Changes in Parlatype 1.0 – 2016-01-18
=================================================

* This is the first release of Parlatype.
